#include <iostream>
#include <vector>
#include <algorithm>

class Accumulator {
private:
    int sum;

public:
    Accumulator() : sum(0) {}

    void operator()(int x) {
        sum += x;
    }

    int getSum() const {
        return sum;
    }
};

int main() {
    std::vector<int> numbers = {1, 2, 3, 4, 5};
    
    Accumulator acc = std::for_each(numbers.begin(), numbers.end(), Accumulator());
    
    std::cout << "Sum of numbers: " << acc.getSum() << std::endl;

    return 0;
}
