#include <iostream>
#include <vector>
#include <algorithm>
#include <string>

class LengthCompare {
public:
    bool operator()(const std::string& a, const std::string& b) const {
        return a.length() < b.length();
    }
};

int main() {
    std::vector<std::string> words = {"apple", "banana", "cherry", "date", "elderberry"};
    
    std::sort(words.begin(), words.end(), LengthCompare());
    
    std::cout << "Words sorted by length:" << std::endl;
    for (const auto& word : words) {
        std::cout << word << std::endl;
    }

    return 0;
}
